List Webhooks
curl --request GET \
--url https://sandbox.api.paylias.xyz/gateway/api/v1/csp/webhook \
--header 'Authorization: Bearer <token>' \
--header 'x-partner-id: <x-partner-id>'import requests
url = "https://sandbox.api.paylias.xyz/gateway/api/v1/csp/webhook"
headers = {
"x-partner-id": "<x-partner-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-partner-id': '<x-partner-id>', Authorization: 'Bearer <token>'}
};
fetch('https://sandbox.api.paylias.xyz/gateway/api/v1/csp/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"count": 1,
"webhooks": [
{
"description": "Webhook to consume link events",
"endpoint": "https://www.postb.in/1743272420303-9920796800870",
"enabled": false,
"events": [
{
"record_type": "RT_PaymentSubmissions",
"event_type": "EK_Created"
},
{
"record_type": "RT_PaymentSubmissions",
"event_type": "EK_Updated"
}
],
"name": "Link Events",
"secret": "2ff46f215a5bb7da8f7fda9b2b0c9ef86c9e7de6"
}
]
},
"ok": true
}{
"code": "error.bad_request",
"message": "Invalid request parameters"
}{
"code": "error.unauthorized",
"message": "Authentication required"
}{
"code": "error.not_found",
"message": "Requested resource not found"
}Webhooks
List Webhooks
List or search webhooks generated against a Namespace
GET
/
api
/
v1
/
csp
/
webhook
List Webhooks
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Partner ID header used for authorization
Query Parameters
Example:
"whk_cjf0qavsemvkg2on8f8g"
Example:
"https://api.stripe.com/webhook/link-events"
Example:
"Events"
Example:
true
Example:
"3"
Example:
"1"
Was this page helpful?
⌘I